Subject: Re: bug#74846: 30.0.91; executable.el mentions non-existent executable-map

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Dec 2024 14:12:06 +0200

> Cc: Daniel Pfeiffer <[email-masked]>, Richard Stallman <[email-masked]>,
>  Mekeor Melire <[email-masked]>
> From: Mekeor Melire <[email-masked]>
> Date: Fri, 13 Dec 2024 08:28:54 +0000
> 
> The file lisp/progmodes/executable.el mentions in its commentary [1]:
> 
> > Modes that use this should nconc `executable-map' to the end of their
> > own keymap and `executable-font-lock-keywords' to the end of their own
> > font lock keywords.
> 
> But I cannot find executable-map anywhere.  RMS had added this comment
> in commit 252ed27682194518555191077711f2d66004435b but even at that
> time, there doesn't seem to be a variable with this name.  Am I missing
> something?

Thanks, I removed that part from the commentary, and I'm therefore
closing this bug.